This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 656489 - libvirt hotplug changes are semi-persistent, upsets virt-manager
libvirt hotplug changes are semi-persistent, upsets virt-manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-23 15:57 EST by J. Bruce Fields
Modified: 2012-01-24 16:46 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 16:46:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J. Bruce Fields 2010-11-23 15:57:42 EST
If I add a new drive to a running domain using the "add new hardware" button, on restarting the domain I get an error like

error: Failed to start domain rhel6
error: internal error Process exited while reading console log output: qemu-kvm: -drive file=/var/lib/libvirt/images/rhel6-1.img,if=none,id=drive-virtio-disk1,format=raw: Duplicate ID 'drive-virtio-disk1' for drive
qemu-kvm: -device virtio-blk-pci,bus=pci.0,addr=0x8,drive=drive-virtio-disk1,id=virtio-disk1: Duplicate ID 'virtio-disk1' for device

Investigation shows that the xml file does indeed contain duplicate entries:

$ cat /etc/libvirt/qemu/rhel6.xml
...
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw'/>
      <source file='/var/lib/libvirt/images/rhel6-1.img'/>
      <target dev='vdb' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </disk>
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw'/>
      <source file='/var/lib/libvirt/images/rhel6-1.img'/>
      <target dev='vdb' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x08' function='0x0'/>
...

Removing one of them manually with a text editor and then restarting libvirtd resolves the problem.

This is 100% reproduceable.

Possibly relevant software versions:

# rpm -qa|grep virt
libvirt-client-0.8.3-2.fc14.x86_64
virt-viewer-0.2.1-1.fc13.x86_64
libvirt-python-0.8.3-2.fc14.x86_64
python-virtinst-0.500.4-1.fc14.noarch
virt-manager-0.8.5-1.fc14.noarch
libvirt-0.8.3-2.fc14.x86_64
python-virtkey-0.50-8.fc14.x86_64
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 14:00:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 14:04:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 15:00:40 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:00:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:06:01 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:06:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Cole Robinson 2012-01-24 16:46:53 EST
F14 is EOL, please reopen if this is still relevant in a more recent fedora.

Note You need to log in before you can comment on or make changes to this bug.